<html><head>
	<title>Javascript exercicio 1</title>
</head>
<body>

<style type="text/css">
/*label { display: inline-block; width: 100px; }*/
</style>


<script>


function converter(){
	
	var inputCelsius = document.getElementById('txtCelsius') ; 
	var textoCelsius = inputCelsius.value  ; 
	
	var inputFahrenheit = document.getElementById('txtFahrenheit') ; 
	var textoFahrenheit = inputFahrenheit.value  ; 
	
	
	if(textoCelsius != '' && textoFahrenheit != ''){
	
		alert('Favor Preencher somente uma temperatura!');
		inputCelsius.value = '' ; 
		inputFahrenheit.value = '';
		
	}else if(textoCelsius != ''){
		alert('Convertendo Fahrenheit') ; 
		var f = (textoCelsius*1.8) + 32 ; 
		inputFahrenheit.value = f;
		
	}else if (textoFahrenheit != ''){
		alert('Convertendo Celsius') ;
		
		var c = (textoFahrenheit - 32) / 1.8 ;
		inputCelsius.value = c ; 
		
	}else { 
		alert('Favor Preencher uma temperatura!');
	}
	


}


</script>


</body>

<label for="txtCelsius">Celsius</label>
<input type="text" id="txtCelsius"  /> <br /></p>
<label for="txtFahrenheit">Fahrenheit</label>
<input type="text" id="txtFahrenheit"  /> <br /></p>
<input type="Button" value="Converter!" onclick="converter()" />
</html>



